Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005Parameters Class Reference

`#include <GT2005Parameters.h>`

Collaboration diagram for GT2005Parameters:

[legend]
List of all members.

## Public Member Functions
| GT2005Parameters ()
| ~GT2005Parameters ()
bool | load (char *filename)
void | save (char *filename)
GT2005Polygon * | calculateCurrentPoly (int leg, Pose2D mRequest, WalkRequest::WalkType walkType)
## Public Attributes
int | stepLength
double | counterRotation
bool | specialMode
double | footPhase [4]
Vector3< double > | footZeroPosition [4]
int | activePoints
GT2005Polygon * | evoPoly [4]
GT2005Polygon * | omniPoly [4]
GT2005Polygon * | rotPoly [4]
GT2005Polygon * | sforwardPoly [4]
GT2005Polygon * | forwardPoly [4]
GT2005Polygon * | dforwardPoly [4]
GT2005Polygon * | sbackwardPoly [4]
GT2005Polygon * | backwardPoly [4]
GT2005Polygon * | dbackwardPoly [4]
GT2005Polygon * | sidewardsPoly [4]
GT2005Polygon * | boostPoly [4]
GT2005Polygon * | grabPoly [4]
GT2005Polygon * | rgrabPoly [4]
bool | loadingFailed
## Static Public Attributes
const int | Leg_FR = 0
const int | Leg_FL = 1
const int | Leg_HR = 2
const int | Leg_HL = 3
## Private Member Functions
void | setBasicParameters ()
void | setBasicPolygons ()
void | setOptimizedPolys ()
## Private Attributes
unsigned long | framesSinceBoost

## Constructor & Destructor Documentation

GT2005Parameters::GT2005Parameters | ( |  | ) |

| Definition at line 17 of file GT2005Parameters.cpp. References framesSinceBoost, loadingFailed, setBasicParameters(), setBasicPolygons(), and specialMode.

Here is the call graph for this function:

GT2005Parameters::~GT2005Parameters | ( |  | ) |

| Definition at line 26 of file GT2005Parameters.cpp. References backwardPoly, boostPoly, dbackwardPoly, dforwardPoly, evoPoly, forwardPoly, grabPoly, omniPoly, rgrabPoly, rotPoly, sbackwardPoly, sforwardPoly, and sidewardsPoly.

## Member Function Documentation

bool GT2005Parameters::load | ( | char * | filename | ) |

| Definition at line 1133 of file GT2005Parameters.cpp. References InFile::exists().

Here is the call graph for this function:

void GT2005Parameters::save | ( | char * | filename | ) |

| Definition at line 1149 of file GT2005Parameters.cpp.

GT2005Polygon * GT2005Parameters::calculateCurrentPoly | ( | int | leg,
|  | Pose2D | mRequest,
|  | WalkRequest::WalkType | walkType
| ) |

| Definition at line 999 of file GT2005Parameters.cpp. References activePoints, backwardPoly, boostPoly, GT2005Polygon::copy(), dbackwardPoly, dforwardPoly, evoPoly, GT2005Polygon::finalize(), forwardPoly, grabPoly, GT2005Polygon::interpolateShape(), min, omniPoly, rgrabPoly, Pose2D::rotation, rotPoly, sbackwardPoly, sforwardPoly, sidewardsPoly, specialMode, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005WalkingEngine::executeParameterized().

Here is the call graph for this function:

void GT2005Parameters::setBasicParameters | ( |  | ) | `[private]`

| Definition at line 46 of file GT2005Parameters.cpp. References counterRotation, footPhase, footZeroPosition, Leg_FL, Leg_FR, Leg_HL, Leg_HR, Vector3< double >::x, Vector3< double >::y, and Vector3< double >::z. Referenced by GT2005Parameters().

void GT2005Parameters::setBasicPolygons | ( |  | ) | `[private]`

| Definition at line 64 of file GT2005Parameters.cpp. References activePoints, backwardPoly, boostPoly, GT2005Polygon::copy(), dbackwardPoly, dforwardPoly, evoPoly, GT2005Polygon::finalize(), forwardPoly, grabPoly, Leg_FL, Leg_FR, Leg_HL, Leg_HR, omniPoly, rgrabPoly, rotPoly, sbackwardPoly, setOptimizedPolys(), GT2005Polygon::setSegment(), sforwardPoly, sidewardsPoly, GT2005Polygon::stepLength, Vector3< V >::x, Vector3< V >::y, and Vector3< V >::z. Referenced by GT2005Parameters().

Here is the call graph for this function:

void GT2005Parameters::setOptimizedPolys | ( |  | ) | `[private]`

| Definition at line 176 of file GT2005Parameters.cpp. References backwardPoly, boostPoly, dbackwardPoly, dforwardPoly, GT2005Polygon::finalize(), forwardPoly, grabPoly, GT2005Polygon::numPoints, GT2005Polygon::pPoints, rgrabPoly, GT2005Polygon::rollAngle, sbackwardPoly, sforwardPoly, sidewardsPoly, and GT2005Polygon::stepLength. Referenced by setBasicPolygons().

Here is the call graph for this function:

## Member Data Documentation

const int GT2005Parameters::Leg_FR = 0`[static]`

| Definition at line 12 of file GT2005Parameters.cpp. Referenced by setBasicParameters(), and setBasicPolygons().

const int GT2005Parameters::Leg_FL = 1`[static]`

| Definition at line 13 of file GT2005Parameters.cpp. Referenced by setBasicParameters(), and setBasicPolygons().

const int GT2005Parameters::Leg_HR = 2`[static]`

| Definition at line 14 of file GT2005Parameters.cpp. Referenced by setBasicParameters(), and setBasicPolygons().

const int GT2005Parameters::Leg_HL = 3`[static]`

| Definition at line 15 of file GT2005Parameters.cpp. Referenced by setBasicParameters(), and setBasicPolygons().

int GT2005Parameters::stepLength

| Definition at line 38 of file GT2005Parameters.h. Referenced by GT2005WalkingEngine::calculateData(), GT2005WalkingEngine::executeParameterized(), operator<<(), operator>>(), and GT2005WalkingEngine::streamDebugData().

double GT2005Parameters::counterRotation

| Definition at line 40 of file GT2005Parameters.h. Referenced by operator<<(), operator>>(), and setBasicParameters().

bool GT2005Parameters::specialMode

| Definition at line 42 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::executeParameterized(), and GT2005Parameters().

double GT2005Parameters::footPhase[4]

| Definition at line 44 of file GT2005Parameters.h. Referenced by GT2005WalkingEngine::executeParameterized(), operator<<(), operator>>(), and setBasicParameters().

Vector3<double> GT2005Parameters::footZeroPosition[4]

| Definition at line 45 of file GT2005Parameters.h. Referenced by GT2005WalkingEngine::calculateData(), GT2005WalkingEngine::executeParameterized(), operator<<(), operator>>(), GT2005WalkingEngine::readDebugData(), GT2005WalkingEngine::readResampleData(), and setBasicParameters().

int GT2005Parameters::activePoints

| Definition at line 47 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), operator<<(), operator>>(), and setBasicPolygons().

GT2005Polygon* GT2005Parameters::evoPoly[4]

| Definition at line 49 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GTWalkParametersIndividual::calculateTauTau0(), GTWalkParametersIndividual::crossingOverOf(), GTWalkParametersIndividual::crossOver(), GT2005WalkingEngine::executeParameterized(), GT2005WalkingEngine::loadPolys(), GTWalkParametersIndividual::mutate(), operator<<(), GTWalkParametersIndividual::operator=(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::omniPoly[4]

| Definition at line 51 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::rotPoly[4]

| Definition at line 52 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::sforwardPoly[4]

| Definition at line 53 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::forwardPoly[4]

| Definition at line 54 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::dforwardPoly[4]

| Definition at line 55 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::sbackwardPoly[4]

| Definition at line 56 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::backwardPoly[4]

| Definition at line 57 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::dbackwardPoly[4]

| Definition at line 58 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::sidewardsPoly[4]

| Definition at line 59 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::boostPoly[4]

| Definition at line 60 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::grabPoly[4]

| Definition at line 61 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

GT2005Polygon* GT2005Parameters::rgrabPoly[4]

| Definition at line 62 of file GT2005Parameters.h. Referenced by calculateCurrentPoly(), GT2005WalkingEngine::loadPolys(), operator<<(), operator>>(), GT2005WalkingEngine::sendPolys(), setBasicPolygons(), setOptimizedPolys(), and ~GT2005Parameters().

bool GT2005Parameters::loadingFailed

| Definition at line 69 of file GT2005Parameters.h. Referenced by GT2005Parameters(), and GT2005WalkingEngine::GT2005WalkingEngine().

unsigned long GT2005Parameters::framesSinceBoost`[private]`

| Definition at line 77 of file GT2005Parameters.h. Referenced by GT2005Parameters().

The documentation for this class was generated from the following files:

- Modules/WalkingEngine/GT2005Parameters.h
- Modules/WalkingEngine/GT2005Parameters.cpp